/* ************************************************************************
#
#  DivConq
#
#  http://divconq.com/
#
#  Copyright:
#    Copyright 2012 eTimeline, LLC. All rights reserved.
#
#  License:
#    See the license.txt file in the project's top-level directory for details.
#
#  Authors:
#    * Andy White
#
************************************************************************ */
package divconq.db.query;

import divconq.struct.RecordStruct;
import divconq.struct.Struct;
import divconq.util.StringUtil;

/**
 * A Composer script to generate content in a query.
 * 
 * @author Andy
 *
 */
public class SelectComposer implements ISelectField {
	protected RecordStruct column = new RecordStruct();
	
	/**
	 * @param composer name of content generating script
	 * @param name display (return) name
	 */
	public SelectComposer(String composer, String name) {
		this.column.setField("Composer", composer);
		
		if (StringUtil.isNotEmpty(name))
			this.column.setField("Name", name);
	}
	
	/**
	 * @param composer name of content generating script
	 * @param name display (return) name
	 * @param format formatting for return value
	 */
	public SelectComposer(String composer, String name, String format) {
		this(composer, name);
		
		if (StringUtil.isNotEmpty(format))
			this.column.setField("Format", format);
	}
	
	/* (non-Javadoc)
	 * @see divconq.db.query.ISelectItem#getSelection()
	 */
	@Override
	public Struct getParams() {
		return this.column;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return this.column.toString();
	}
}
